Package org.h2gis.functions.spatial.mesh

# Class DelaunayData

java.lang.Object
org.h2gis.functions.spatial.mesh.DelaunayData

public class DelaunayData extends Object
This class is used to collect all data used to compute a mesh based on a Delaunay triangulation

Author:
  Erwan Bocher, Nicolas Fortin

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`DelaunayData.MODE`

## Constructor Summary

Constructors
Constructor
Description
`DelaunayData()`
Create a mesh data structure to collect points and edges that will be used by the Delaunay Triangulation

## Method Summary

Modifier and Type
Method
Description
`double`
`get3DArea()`
Return the 3D area of all triangles
`org.locationtech.jts.geom.MultiPolygon`
`getTriangles()`
`org.locationtech.jts.geom.MultiLineString`
`getTrianglesSides()`
`void`
`put(org.locationtech.jts.geom.Geometry geom, DelaunayData.MODE mode)`
Put a geometry into the data array.
`void`
`triangulate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelaunayData

public DelaunayData()
Create a mesh data structure to collect points and edges that will be used by the Delaunay Triangulation

## Method Details

### put

public void put(org.locationtech.jts.geom.Geometry geom, DelaunayData.MODE mode) throws IllegalArgumentException
Put a geometry into the data array. Set true to populate the list of points and edges, needed for the ContrainedDelaunayTriangulation. Set false to populate only the list of points. Note the z-value is forced to O when it's equal to NaN.

Parameters:
  `geom` - Geometry
  `mode` - Delaunay mode
Throws:
  `IllegalArgumentException`

### triangulate

public void triangulate()

### getTriangles

public org.locationtech.jts.geom.MultiPolygon getTriangles()

### get3DArea

public double get3DArea()
Return the 3D area of all triangles

Returns:

### getTrianglesSides

public org.locationtech.jts.geom.MultiLineString getTrianglesSides()

Returns:
  Unique triangles edges